Bug 818380 - windows spice client doesn't honor web proxy setting
windows spice client doesn't honor web proxy setting
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: spice-activex-win (Show other bugs)
3.0.8
x86_64 Windows
high Severity high
: ---
: 3.0.6
Assigned To: Arnon Gilboa
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 18:14 EDT by Jesse Brandeburg
Modified: 2015-09-22 09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-08 17:45:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Brandeburg 2012-05-02 18:14:48 EDT
Description of problem:
Spice client tries to directly access the target system/VM IP address, even though it is launched via a web page that is currently using a proxy to access the RHEVM.


Version-Release number of selected component (if applicable):
3/22/2012 release.

How reproducible:
always

Steps to Reproduce:
1. press console button when connected through a proxy, where direct connect is not allowed.
2.
3.
  
Actual results:
client fails to connect, netstat shows attempt to directly connect to ip:5901, where should be connecting through proxy 

Expected results:
spice client should use socks proxy settings or allow them to be set somewhere.

Additional info:
Comment 1 Marc-Andre Lureau 2013-02-08 17:45:07 EST
This is not a valid request. The browser proxy is for the browser, not for Spice. It's not the same protocol, there is no reason to share the same settings.

However, in RHEVM 3.2, the spice client will support a HTTP proxy if the portal/rhevm is confured to use it (or if the environment SPICE_PROXY is set)
Comment 2 Itamar Heim 2013-02-09 15:29:37 EST
(In reply to comment #1)
> This is not a valid request. The browser proxy is for the browser, not for
> Spice. It's not the same protocol, there is no reason to share the same
> settings.
> 
> However, in RHEVM 3.2, the spice client will support a HTTP proxy if the
> portal/rhevm is confured to use it (or if the environment SPICE_PROXY is set)

marc-andre - i may have missed this, but how can portl pass to spice client proxy details in rhev 3.2 (i.e., is there support in activex/xpi for this)?
Comment 3 Marc-Andre Lureau 2013-02-10 10:18:23 EST
(In reply to comment #2)
> (In reply to comment #1)
> > This is not a valid request. The browser proxy is for the browser, not for
> > Spice. It's not the same protocol, there is no reason to share the same
> > settings.
> > 
> > However, in RHEVM 3.2, the spice client will support a HTTP proxy if the
> > portal/rhevm is confured to use it (or if the environment SPICE_PROXY is set)
> 
> marc-andre - i may have missed this, but how can portl pass to spice client
> proxy details in rhev 3.2 (i.e., is there support in activex/xpi for this)?

We have added the Proxy property on both spice activex (bug 909496) and xpi (upstream coming 2.9, no bug yet afaik).

Note You need to log in before you can comment on or make changes to this bug.